org.eclipse.jetty.http

## Class HttpFields.Field

- java.lang.Object
- - org.eclipse.jetty.http.HttpFields.Field

- Enclosing class:
    HttpFields

      public static final class HttpFields.Field
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIntValue()`
    `long` | `getLongValue()`
    `String` | `getName()`
    `int` | `getNameOrdinal()`
    `String` | `getValue()`
    `Buffer` | `getValueBuffer()`
    `int` | `getValueOrdinal()`
    `void` | `putTo(Buffer buffer)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### putTo

          public void putTo(Buffer buffer)
                     throws IOException

      Throws:
        `IOException`

    - #### getName

          public String getName()

    - #### getNameOrdinal

          public int getNameOrdinal()

    - #### getValue

          public String getValue()

    - #### getValueBuffer

          public Buffer getValueBuffer()

    - #### getValueOrdinal

          public int getValueOrdinal()

    - #### getIntValue

          public int getIntValue()

    - #### getLongValue

          public long getLongValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.